summaryrefslogtreecommitdiffstats
path: root/irker/bin/irkerhook-debian
diff options
context:
space:
mode:
Diffstat (limited to 'irker/bin/irkerhook-debian')
-rwxr-xr-xirker/bin/irkerhook-debian47
1 files changed, 47 insertions, 0 deletions
diff --git a/irker/bin/irkerhook-debian b/irker/bin/irkerhook-debian
new file mode 100755
index 0000000..ce8dfb4
--- /dev/null
+++ b/irker/bin/irkerhook-debian
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+# Open Infrastructure: service-tools
+
+# Copyright (C) 2014-2022 Daniel Baumann <daniel.baumann@open-infrastructure.net>
+#
+# SPDX-License-Identifier: GPL-3.0+
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <https://www.gnu.org/licenses/>.
+
+set -e
+
+MESSAGE="${*}"
+
+PROGRAM="$(basename "${0}")"
+
+for FILE in "/etc/default/${PROGRAM}" "/etc/default/${PROGRAM}.d"/*
+do
+ if [ -e "${FILE}" ]
+ then
+ . "${FILE}" || true
+ fi
+done
+
+if [ "${IRK_ENABLED}" != "true" ]
+then
+ exit 0
+fi
+
+echo "sending IRC notification"
+
+# shellcheck disable=SC2153
+for IRC_CHANNEL in ${IRC_CHANNELS}
+do
+ irk "${IRC_CHANNEL}" "${MESSAGE}"
+done